Change log for conkeror package in Ubuntu

117 of 17 results
Deleted in natty-release on 2011-04-26 (Reason: unsupportable, LP#761929)
conkeror (0.9.3+git110307-2ubuntu1) natty; urgency=low

  * debian/control: Prefer xulrunner-2.0 over -1.9.2 and older versions, as we
    really want users to run with the latest one.
 -- Martin Pitt <email address hidden>   Thu, 14 Apr 2011 15:28:29 +0200
Superseded in natty-release on 2011-04-14
conkeror (0.9.3+git110307-2) unstable; urgency=low

  * debian/conkeror.bin: Change search order for searching xulrunner
    binaries from the confusing current state of "squeeze/sid, (former)
    experimental, lenny, experimental, generic/sarge" to descending
    "highest, most specific versions first; lowest, generic versions
    last", so it should take the newest xulrunner version which is
    installed.

Superseded in natty-release on 2011-03-15
conkeror (0.9.3+git110213-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #720069) Remaining changes:
    - debian/control: update dependency only to xulrunner-2.0.
    - debian/rules: Install top-level chrome.manifest to work properly
      with xulrunner 2.0.
    - debian/conkeror.bin: Update launcher script to use xulrunner-2.0

Superseded in natty-release on 2011-02-24
conkeror (0.9.3+git101015-1ubuntu2) natty; urgency=low

  * Update binary dependency to xulrunner-2.0
    - update debian/control
  * Install top-level chrome.manifest to work properly with xulrunner 2.0
    - update debian/rules
  * Update launcher script to use xulrunner-2.0
    - update debian/conkeror.bin
 -- Chris Coulson <email address hidden>   Mon, 29 Nov 2010 01:27:41 +0000
Obsolete in maverick-backports on 2013-03-05
conkeror (0.9.3+git101015-1ubuntu1~maverick1) maverick-backports; urgency=low

  * No change backport for Maverick (LP: #667803)

Superseded in natty-release on 2010-11-29
conkeror (0.9.3+git101015-1ubuntu1) natty; urgency=low

  * Merge from debian experimental.  Remaining changes:
    - debian/control: Change Depends to xulrunner-1.9.2 only
 -- Micah Gersten <email address hidden>   Thu, 28 Oct 2010 00:12:35 -0400
Superseded in natty-release on 2010-10-28
Obsolete in maverick-release on 2013-03-05
conkeror (0.9.2+git100804-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes (LP: #614784):
    - debian/control: Change Depends to xulrunner-1.9.2 only

Superseded in maverick-release on 2010-08-08
conkeror (0.9.2+git100420-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes (LP: #602513):
    - debian/control: Change Depends to xulrunner-1.9.2 only
    - Drop patches included upstream:
      - debian/patches/0001-buffer-set_input_mode-on-blur-event.patch
      - debian/patches/0002-fix-issue1-issue38-issue243-issue259.patch
      - debian/patches/0003-fix-issue215.patch
      - debian/patches/0004-hint_manager.generate_hints-don-t-assume-area-elemen.patch
      - debian/patches/0005-fix-focus-problem-http-bugs.conkeror.org-issue263.patch
      - debian/patches/0006-fix-focus-problem-http-bugs.conkeror.org-issue263-tr.patch
 -- Micah Gersten <email address hidden>   Tue, 06 Jul 2010 21:19:31 -0500
Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
Superseded in jaunty-updates on 2010-07-23
Superseded in jaunty-security on 2010-07-22
conkeror (0.9.1+git100220-1ubuntu3~9.04.2) jaunty-security; urgency=low

  * Backport from Lucid to support xulrunner 1.9.2 transition
  * Don't require debhelper 7, by not using dh_bugfiles
    - update debian/control
    - update debian/rules
    - update debian/compat
  * Pick the 1.9.2 GRE before picking 1.9.1
    - update debian/conkeror.bin

Obsolete in karmic-updates on 2013-03-04
Obsolete in karmic-security on 2013-03-04
Superseded in karmic-updates on 2010-07-23
Superseded in karmic-security on 2010-07-22
conkeror (0.9.1+git100220-1ubuntu3~9.10.2) karmic-security; urgency=low

  * Backport from Lucid to support xulrunner 1.9.2 transition
  * Test for the 1.9.2 GRE before testing for 1.9.1
    - update debian/conkeror.bin

Superseded in maverick-release on 2010-07-07
Obsolete in lucid-release on 2016-10-26
conkeror (0.9.1+git100220-1ubuntu3) lucid; urgency=low

  * Fix focus issues related to xulrunner-1.9.2 (LP: #568610)
    - add debian/patches0005-fix-focus-problem-http-bugs.conkeror.org-issue263.patch
    - add debian/patches0006-fix-focus-problem-http-bugs.conkeror.org-issue263-tr.patch
 -- Micah Gersten <email address hidden>   Thu, 22 Apr 2010 11:36:19 -0500
Superseded in lucid-release on 2010-04-24
conkeror (0.9.1+git100220-1ubuntu2) lucid; urgency=low

  * Backport fixes from upstream git related to xulrunner-1.9.2 (LP: #561708)
    - add debian/patches/0001-buffer-set_input_mode-on-blur-event.patch
    - add debian/patches/0002-fix-issue1-issue38-issue243-issue259.patch
    - add debian/patches/0003-fix-issue215.patch
    - add debian/patches/0004-hint_manager.generate_hints-don-t-assume-area-elemen.patch
 -- Micah Gersten <email address hidden>   Mon, 12 Apr 2010 12:07:52 -0500
Superseded in lucid-release on 2010-04-12
conkeror (0.9.1+git100220-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control: Change Depends to xulrunner-1.9.2 only (LP #537900)
 -- Micah Gersten <email address hidden>   Fri, 26 Mar 2010 18:55:20 -0500
Superseded in lucid-release on 2010-03-27
conkeror (0.9~git090223-1ubuntu2) lucid; urgency=low

  * Bump xulrunner depends for conkeror to xulrunner-1.9.2
    - update debian/control
 -- Micah Gersten <email address hidden>   Wed, 17 Feb 2010 01:08:46 -0600
Superseded in lucid-release on 2010-03-21
Obsolete in karmic-release on 2013-03-04
conkeror (0.9~git090223-1ubuntu1) karmic; urgency=low

  * fix Depends to pull in the right xulrunner (LP: #455517)

 -- Alexander Sack <email address hidden>   Fri, 23 Oct 2009 14:32:05 +0200
Superseded in karmic-release on 2009-10-23
conkeror (0.9~git090223-1) unstable; urgency=low

  * Debian packaging is now hosted in the upstream repository at
    http://repo.or.cz/w/conkeror.git:
    - Adjusted the Vcs-* headers in debian/control.
    - Changed the build id to contain username and hostname instead of
      commit id.
  * Based on new snapshot (tagged with debian-0.9--git090223-1)
    - spawn-process-helper has been renamed upstream to
      conkeror-spawn-helper -- package names remain unchanged, conflict to
      earlier versions of conkeror-spawn-process-helper
    - Links on mouse over images now shown
    - command switch -uu for universal-arg of following -f command
  * Added NEWS.Debian to list changes relevant for users.
  * Added README.source which documents how to build a Debian (source)
    package from a Git working copy.
  * Changed licencing of packaging from GPLv2 to the same licencing terms
    as Conkeror itself.
  * Updated debian/copyright to reflect current state of the project
  * man page conkeror.1 now part of upstream.
  * Added a call to dh_desktop (Thanks, Lintian 2.x!)
  * Added a description to patches/sensible-editor.diff (Thanks, Lintian 2.x!)
  * Replaced lintian overrides by an empty watch file with comment.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  28 Apr 2009 23:00:56 +0100

Available diffs

Superseded in karmic-release on 2009-04-28
Obsolete in jaunty-release on 2013-02-28
conkeror (0.9~git080629-2) unstable; urgency=low

  * Don't suppress conkeror's output if we don't have to change it in the
    wrapper [conkeror.bin]. (Closes: #498515)

117 of 17 results